Main Page Class List Class Members

# Nv::Blast::TkTypeImpl Class Reference

`#include <NvBlastTkTypeImpl.h>`

Inheritance diagram for Nv::Blast::TkTypeImpl:

List of all members.

## Public Member Functions
uint32_t | getID () const
uint32_t | getIndex () const
virtual const char * | getName () const override
const char * | getNameInternal () const
virtual uint32_t | getVersion () const override
uint32_t | getVersionInternal () const
bool | indexIsValid () const
| TkTypeImpl (const char *typeName, uint32_t typeID, uint32_t version)
## Friends
class | TkFrameworkImpl

## Detailed Description

Implementation of TkType, storing class information for TkIdentifiable-derived classes.

## Constructor & Destructor Documentation

NV_INLINE Nv::Blast::TkTypeImpl::TkTypeImpl | ( | const char * | typeName,
|  | uint32_t | typeID,
|  | uint32_t | version |
| ) |  |  |

## Member Function Documentation

NV_INLINE uint32_t Nv::Blast::TkTypeImpl::getID | ( |  | ) | const

Access to a unique identifier for the class (set using the NVBLASTTK_IMPL_DEFINE_IDENTIFIABLE macro).

Returns:
  the class's unique identifier.

NV_INLINE uint32_t Nv::Blast::TkTypeImpl::getIndex | ( |  | ) | const

Access to a runtime-unique small index for the class.

Returns:
  the index for the class.

virtual const char* Nv::Blast::TkTypeImpl::getName | ( |  | ) | const`[inline, override, virtual]`

The class name.

Returns:
  the class name.

Implements Nv::Blast::TkType.

NV_INLINE const char * Nv::Blast::TkTypeImpl::getNameInternal | ( |  | ) | const

Access to the class name.

Returns:
  a C string pointer to the class name.

virtual uint32_t Nv::Blast::TkTypeImpl::getVersion | ( |  | ) | const`[inline, override, virtual]`

The data format version for this class. When deserializing, this version must match the current version. If not, the user may convert the data format using the format conversion extension.

Returns:
  the version number.

Implements Nv::Blast::TkType.

NV_INLINE uint32_t Nv::Blast::TkTypeImpl::getVersionInternal | ( |  | ) | const

Access to the data format version for the class.

Returns:
  the data format version.

NV_INLINE bool Nv::Blast::TkTypeImpl::indexIsValid | ( |  | ) | const

Returns:
  whether or not the index has been set (see setIndex) to a valid value.

## Friends And Related Function Documentation

friend class TkFrameworkImpl`[friend]`

The documentation for this class was generated from the following file:

- sdk/toolkit/source/NvBlastTkTypeImpl.h